Bug 316244 - Cells with formulae show only #CIRCLE! if edited multiple times
Summary: Cells with formulae show only #CIRCLE! if edited multiple times
Status: RESOLVED FIXED
Alias: None
Product: calligrasheets
Classification: Unclassified
Component: general (show other bugs)
Version: 2.6.1
Platform: Other Linux
: NOR major (vote)
Target Milestone: ---
Assignee: Calligra Sheets (KSpread) Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-06 19:45 UTC by Janek Bevendorff
Modified: 2014-11-05 15:41 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
time-card-calculator.ods test spreadsheet (39.29 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-11-05 15:40 UTC, NoOp
Details
screenshot from time-card-calculator.ods (211.32 KB, image/png)
2014-11-05 15:41 UTC, NoOp
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Janek Bevendorff 2013-03-06 19:45:55 UTC
When cells containing formulae are edited multiple times, they start displaying only #CIRCLE! at some point.

Reproducible: Always

Steps to Reproduce:
1. Select a cell, change the content to some arbitrary number (e.g. 123) and hit enter
2. Reselect the cell and change the content to a formula (e.g. =123/456).
3. Change the content again to something else (can even be a string)
Actual Results:  
Somewhere during this process Calligra starts displaying only the string #CIRCLE! (most of the time after the third step, sometimes earlier).

Expected Results:  
The formula (or whatever is in that cell) should display properly.
Comment 1 Marijn Kruisselbrink 2013-03-09 09:45:27 UTC
Git commit 5a3007b82e88a3120fdaf49bea1a13c536ecc231 by Marijn Kruisselbrink.
Committed on 09/03/2013 at 10:44.
Pushed by mkruisselbrink into branch 'master'.

Fix problem where calligra sheets would incorrectly mark cells with formulas without dependencies as #CIRCLE.

M  +3    -1    sheets/DependencyManager.cpp

http://commits.kde.org/calligra/5a3007b82e88a3120fdaf49bea1a13c536ecc231
Comment 2 Marijn Kruisselbrink 2013-03-09 09:57:36 UTC
Git commit 99989c42467a523416a67d81ed8a43c680902819 by Marijn Kruisselbrink.
Committed on 09/03/2013 at 10:44.
Pushed by mkruisselbrink into branch 'calligra/2.6'.

Fix problem where calligra sheets would incorrectly mark cells with formulas without dependencies as #CIRCLE.

M  +3    -1    sheets/DependencyManager.cpp

http://commits.kde.org/calligra/99989c42467a523416a67d81ed8a43c680902819
Comment 3 NoOp 2014-11-05 15:39:15 UTC
This does not appear to be fixed:

$ apt-cache policy calligra
calligra:
  Installed: 1:2.8.1-1-0ubuntu3
  Candidate: 1:2.8.1-1-0ubuntu3
  Version table:
 *** 1:2.8.1-1-0ubuntu3 0
        500 http://us.archive.ubuntu.com/ubuntu/ trusty/universe amd64 Packages
        100 /var/lib/dpkg/status

Opening attached 'time-card-calculator.ods' results in #CIRCLE! errors in each calendar entry. This does not occur is the ods is opened in ApacheOpenOffice or LibreOffice. Attaching screenshot as well.
Comment 4 NoOp 2014-11-05 15:40:25 UTC
Created attachment 89459 [details]
time-card-calculator.ods test spreadsheet
Comment 5 NoOp 2014-11-05 15:41:21 UTC
Created attachment 89460 [details]
screenshot from time-card-calculator.ods